Subject: [alpine-aports] [PATCHv3] testing/ubase: update to 20171010

From: Drew DeVault <[email-masked]>
Date: Sun, 14 Jan 2018 23:00:29 -0500

---
It was pointed out to me externally that dates are the preferred
git-derived version denomination.

 testing/ubase/APKBUILD | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

diff --git a/testing/ubase/APKBUILD b/testing/ubase/APKBUILD
index 4ba0ceb0ed..5550888a5e 100644
--- a/testing/ubase/APKBUILD
+++ b/testing/ubase/APKBUILD
@@ -1,25 +1,34 @@
 # Contributor: Ivan Tham <[email-masked]>
+# Contributor: Drew DeVault <[email-masked]>
 # Maintainer: Ivan Tham <[email-masked]>
+_commit=55795531f03ccb5a41cf80fd564b862c103252cc
+_date=
 pkgname=ubase
-pkgver=0.1
-pkgrel=1
+pkgver=20171010
+pkgrel=0
 pkgdesc="Suckless collection of unportable base"
 url="http://core.suckless.org/ubase"
 arch="all"
 license="MIT"
 subpackages="$pkgname-doc"
-source="http://dl.suckless.org/$pkgname/$pkgname-$pkgver.tar.gz"
-options="!check"
-builddir="$srcdir/"$pkgname-$pkgver
+source="https://git.suckless.org/$pkgname/snapshot/$pkgname-$_commit.tar.gz"
+builddir="$srcdir/"$pkgname-$_commit
+options="$options suid"
 
 build() {
 	cd "$builddir"
 	make || return 1
 }
 
+check() {
+	cd "$builddir"
+	./ps -h || [ $? -eq 1 ] || return 1
+}
+
 package() {
 	cd "$builddir"
+	chmod a+s passwd
 	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
 }
 
-sha512sums="3d9feed9670cf2ad6a8af32d1ecf3c206c81c618ed4548127ff2ab18bf03dd31fb89abf7fc598c4422aa348099a62cf7bc0f7c5dbf652ecd0349afb5a1f30b34  ubase-0.1.tar.gz"
+sha512sums="cb24d359821cb84a3777eb0a6842c0aac5d244f99df43f90254d5a6a822940d0daab878a88fb2dbc3c7697c532e58b5818ce29fa742d53a7210cea1c2bdefbd8  ubase-55795531f03ccb5a41cf80fd564b862c103252cc.tar.gz"
-- 
2.15.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Kevin Daudt <[email-masked]>
Date: Fri, 15 Mar 2019 20:52:17 +0100

Thanks, I left a few remarks inline.

> +++ b/testing/ubase/APKBUILD

Unused variable?

> +builddir="$srcdir/"$pkgname-$_commit

options is not defined by default, so I don't think it makes a lot of
sense to try to extend it here.

> +	./ps -h || [ $? -eq 1 ] || return 1

Just running the binary with -v or -h is not accepted as a check. In
that case it's prefered to leave `options="!check"`.

---

---

From: Drew DeVault <[email-masked]>
Date: Fri, 15 Mar 2019 16:01:24 -0400

Thanks for the review! I see a lot of problems in this patch myself
(it's over a year old now), I should revisit it anyway.

> that case it's prefered to leave `options="!check"`.

I have heard the opposite in the past. Can you update this page?

https://wiki.alpinelinux.org/wiki/Creating_an_Alpine_package#Code_review

---